"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = __importDefault(require("react"));
var TruncateContext_1 = __importDefault(require("./TruncateContext"));
var TruncateItem_1 = __importDefault(require("./TruncateItem"));
function TruncateList(_a) {
    var children = _a.children, Ellipsis = _a.ellipsis;
    var _b = react_1.default.useContext(TruncateContext_1.default), truncateIndex = _b.truncateIndex, observer = _b.observer, isTruncating = _b.isTruncating;
    if (!isTruncating)
        return jsx_runtime_1.jsx(jsx_runtime_1.Fragment, { children: children }, void 0);
    return (jsx_runtime_1.jsxs(jsx_runtime_1.Fragment, { children: [react_1.default.Children.map(children, function (child, index) {
                return truncateIndex !== null ? (index < truncateIndex && child) : (jsx_runtime_1.jsx(TruncateItem_1.default, __assign({ id: index, observer: observer }, { children: child }), void 0));
            }),
            truncateIndex && Ellipsis && (jsx_runtime_1.jsx(TruncateItem_1.default, __assign({ id: "ellipsis-" + truncateIndex, observer: observer }, { children: jsx_runtime_1.jsx(Ellipsis, { moreCount: react_1.default.Children.count(children) - truncateIndex, moreChildren: react_1.default.Children.toArray(children).slice(truncateIndex) }, void 0) }), void 0))] }, void 0));
}
exports.default = TruncateList;
