var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { Fragment as _Fragment, jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import context from './TruncateContext';
import TruncateItem from './TruncateItem';
function TruncateList(_a) {
    var children = _a.children, Ellipsis = _a.ellipsis;
    var _b = React.useContext(context), truncateIndex = _b.truncateIndex, observer = _b.observer, isTruncating = _b.isTruncating;
    if (!isTruncating)
        return _jsx(_Fragment, { children: children }, void 0);
    return (_jsxs(_Fragment, { children: [React.Children.map(children, function (child, index) {
                return truncateIndex !== null ? (index < truncateIndex && child) : (_jsx(TruncateItem, __assign({ id: index, observer: observer }, { children: child }), void 0));
            }),
            truncateIndex && Ellipsis && (_jsx(TruncateItem, __assign({ id: "ellipsis-" + truncateIndex, observer: observer }, { children: _jsx(Ellipsis, { moreCount: React.Children.count(children) - truncateIndex, moreChildren: React.Children.toArray(children).slice(truncateIndex) }, void 0) }), void 0))] }, void 0));
}
export default TruncateList;
